---
title: "List Rooms and Discussions of a Team"
slug: "list-rooms-and-discussions-of-a-team"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# List Rooms and Discussions of a Team

Get/api/v1/teams.listChildren

Lists a particular team's public rooms, discussions, and the rooms (public/private) a user is part of from the team's main room. Currently, this endpoint returns the discussions from the parent team rooms only; discussions from sub-channels are not returned.

Header parametersX-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ
X-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f

Query parametersteamNamestring

The team name. It is required if the `teamId` is not provided.

Examplelivestream
teamIdstring

The team id. It is required if the `teamName` is not provided.

Example63f3efc4b000b6b6d86704b2
offsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

filterstring

Filter the results using the text you want to find.

typestring

You can choose the type of rooms you want in the response. Enter the value as `channels` or `discussions`. If you don't enter any value, both types are returned.

roomIdstring

The room ID. This parameter is required if you have not provided the `teamId` or the `teamName`.

Example66c82d78237405fc05fc1eef

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='54801076-fdee-45b8-b20a-1598eadda925'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='86c5df0c-ffef-4e0c-9cd5-5a8feee11efd'>Success</option>
</select>Success

```json
{
  "total": 2,
  "data": [
    {
      "_id": "66c82d78237405fc05fc1eef",
      "fname": "test-team",
      "_updatedAt": "2024-09-20T12:27:38.725Z",
      "topic": "",
      "broadcast": false,
      "encrypted": false,
      "name": "test-team",
      "t": "c",
      "msgs": 3,
      "usersCount": 1,
      "u": {
        "_id": "C38WSSzrGd2NCjzqJ",
        "username": "test.cat",
        "name": "test.cat"
      },
      "ts": "2024-08-23T06:34:32.413Z",
      "ro": false,
      "default": false,
      "sysMes": true,
      "teamId": "66c82d78237405fc05fc1ef1",
      "teamMain": true,
      "lastMessage": {
        "_id": "ZaeoxcCsHLutRkh9m",
        "rid": "66c82d78237405fc05fc1eef",
        "msg": "testing",
        "ts": "2024-09-20T12:27:38.634Z",
        "u": {
          "_id": "C38WSSzrGd2NCjzqJ",
          "username": "test.cat",
          "name": "test.cat"
        },
        "_updatedAt": "2024-09-20T12:27:38.686Z",
        "urls": [],
        "mentions": [],
        "channels": [],
        "md": [
          {
            "type": "PARAGRAPH",
            "value": [
              {
                "type": "PLAIN_TEXT",
                "value": "testing"
              }
            ]
          }
        ]
      },
      "lm": "2024-09-20T12:27:38.634Z"
    },
    {
      "_id": "66ed2dba40141d95f32c292b",
      "fname": "new-channel",
      "_updatedAt": "2024-09-20T12:29:08.284Z",
      "customFields": {},
      "topic": "",
      "broadcast": false,
      "encrypted": false,
      "name": "new-channel",
      "t": "p",
      "msgs": 3,
      "usersCount": 2,
      "u": {
        "_id": "C38WSSzrGd2NCjzqJ",
        "username": "test.cat",
        "name": "test.cat"
      },
      "ts": "2024-09-20T08:09:30.417Z",
      "ro": false,
      "teamId": "66c82d78237405fc05fc1ef1",
      "default": false,
      "sysMes": true,
      "lastMessage": {
        "_id": "xZhJfE4rmaosjHZCe",
        "rid": "66ed2dba40141d95f32c292b",
        "msg": "testing",
        "ts": "2024-09-20T12:27:53.356Z",
        "u": {
          "_id": "C38WSSzrGd2NCjzqJ",
          "username": "test.cat",
          "name": "test.cat"
        },
        "_updatedAt": "2024-09-20T12:27:53.397Z",
        "urls": [],
        "mentions": [],
        "channels": [],
        "md": [
          {
            "type": "PARAGRAPH",
            "value": [
              {
                "type": "PLAIN_TEXT",
                "value": "testing"
              }
            ]
          }
        ]
      },
      "lm": "2024-09-20T12:27:53.356Z"
    }
  ],
  "offset": 0,
  "count": 50,
  "success": true
}
```

Expand Allobject  totalinteger    
data Array of object   object  _idstring    
fnamestring    
_updatedAtstring    
topicstring    
broadcastboolean    
encryptedboolean    
namestring    
tstring    
msgsinteger    
usersCountinteger    
uobject  _idstring    
usernamestring    
namestring    

tsstring    
roboolean    
defaultboolean    
sysMesboolean    
teamIdstring    
teamMainboolean    
lastMessageobject  _idstring    
ridstring    
msgstring    
tsstring    
uobject  _idstring    
usernamestring    
namestring    

_updatedAtstring    
urls Array of object   object  
mentions Array of object   object  
channels Array of object   object  
md Array of object   object  typestring    
value Array of object   object  typestring    
valuestring    

lmstring    
customFieldsobject  

offsetinteger    
countinteger    
successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='cfb01ba0-2326-45f7-bc50-bfb9a09a3845'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f462542d-fbdb-4cac-9e64-000bd4db20dd'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "must have required property 'teamId'\n must have required property 'teamName'\n must have required property 'roomId'\n must match exactly one schema in oneOf [invalid-params]",
  "errorType": "invalid-params"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='f9b19330-0902-4b64-a796-f2ef6734b270'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f5bb6434-2d10-4580-8466-76ee053a41ef'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
